Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225308 - Broken librpm*.la shipped in /usr/lib64
Summary: Broken librpm*.la shipped in /usr/lib64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm
Version: 3.8
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 21:15 UTC by William A. Rowe, Jr.
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 18:39:01 UTC


Attachments (Terms of Use)

Description William A. Rowe, Jr. 2007-01-29 21:15:59 UTC
Reasonably stock, fresh RHES 3 Update 8 installation.

RHES 3.0 Update 8 Deployment Snafu, a discrepancy between the 32 and 64
bit libraries as shipped.  This specifically trips up netsnmp, but it's
likely to trip up any package that builds for 64 bits against librpm*.

Not an issue, but for reference; There are no /usr/lib/librpm*.la files.

There are four /usr/lib64/librpm*.la files.  Issue; these point to
dependency_libs including /usr/lib64/libbeecrypt.la

There is no .la file.  /usr/lib64/libbeecrypt.so and /usr/lib/libbeecrypt.so 
are missing, but /usr/lib64/libbeecrypt.so.6.1.0 and 
/usr/lib/libbeecrypt.so.6.1.0 and their .so.6 files are present.  

Most flavors of libtool are unable to resolve this situation.  No 
libbeecrypt.la exists, so libtool dies.  -lbeecrypt fails as well,
since the symlink for libbeecrypt.so (unnumbered) is missing.

By the time libtool is done failing to resolve these situations, it
falls back on /usr/lib/, which is altogether wrong for 64 bit compiles.

Unsure the root of the problem; is it the presence of the librpm.la
files?  Or the absence of libbeecrypt.la?  Or the absense of libbecrypt.so
and the mislinkage from librpm*.la to the libbecrypt.la?

Comment 1 RHEL Product and Program Management 2007-10-19 18:39:01 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.